Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2173 - swapon -s doesn't work
Summary: swapon -s doesn't work
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mount
Version: 5.2
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-14 07:01 UTC by Chris Siebenmann
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-19 20:21:41 UTC


Attachments (Terms of Use)

Description Chris Siebenmann 1999-04-14 07:01:20 UTC
On RedHat 5.2/5.1 etc, swapon -s (to report swap
usage broken down by swap partition) just says
	swapon: /proc/swaps: No such file or directory

 I suspect that this functionality isn't supported
under the 2.0.* kernels, in which case that's about
all that can be done (maybe swapon should print a
better error message, though).

Comment 1 David Lawrence 1999-04-14 21:29:59 UTC
I have verified the error to occur when using 'swapon -s' on version
5.2 and later.

Comment 2 Bill Nottingham 1999-08-19 20:21:59 UTC
this will most likely not be fixed for 5.2.
The functionality works in 6.0.


Note You need to log in before you can comment on or make changes to this bug.